%define _disable_ld_no_undefined 1

%define major 9
%define libname %mklibname iptables %{major}
%define develname %mklibname -d iptables

%define iptc_major 0
%define iptc_libname %mklibname iptc %{iptc_major}
%define iptc_develname %mklibname -d iptc

%define ipq_major 0
%define ipq_libname %mklibname ipq %{ipq_major}
%define ipq_develname %mklibname -d ipq

%define ip4tc_major 0
%define ip4tc_libname %mklibname ip4tc %{ip4tc_major}
%define ip4tc_develname %mklibname -d ip4tc

%define ip6tc_major 0
%define ip6tc_libname %mklibname ip6tc %{ip6tc_major}
%define ip6tc_develname %mklibname -d ip6tc

# install init scripts to /usr/libexec with systemd
%define script_path %{_libexecdir}

Summary:	Tools for managing Linux kernel packet filtering capabilities
Name:		iptables
Version:	1.4.17
Release:	%mkrel 5
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://netfilter.org/
Source0:	http://netfilter.org/projects/iptables/files/%{name}-%{version}.tar.bz2
Source1:	iptables.init
Source2:	ip6tables.init
Source3:	iptables.config
Source4:	ip6tables.config
Source5:        iptables.service
# S100 and up used to be in the added patches
Source100:	libipt_IMQ.c
Source101:	libipt_IFWLOG.c
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
Source102:	libipt_psd.c
Source103:	libipt_psd.man
Patch0:		iptables-1.2.8-libiptc.h.patch
Patch100:	iptables-imq.diff
Patch101:	iptables-IFWLOG_extension.diff
Patch102:	iptables-psd.diff
Patch103:	iptables-1.4.17-linkage_fix.diff
Provides:	userspace-ipfilter
BuildRequires:	nfnetlink-devel
# (tmb) build against -devel-latest
%ifarch %{arm}
%define kflavour kirkwood
%else
%define kflavour desktop
%endif
BuildRequires:	kernel-%{kflavour}-devel-latest
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Obsoletes:	%{name} < 1.4.3.2
Obsoletes:	%{name}-ipv6 < 1.4.1.1-0.5
Provides:	%{name}-ipv6
BuildRequires:    systemd-units
Requires(post):   sysvinit
Requires(preun):  sysvinit
Requires(postun): sysvinit

%description
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

Install iptables if you need to set up firewalling for your network.

%package -n	%{libname}
Summary:	Shared iptables library
Group:          System/Libraries
Conflicts:	%mklibname %{name} 1

%description -n	%{libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the shared iptables library.

%package -n	%{develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{libname} = %{version}-%{release}
Provides:	iptables-devel = %{version}
Obsoletes:	iptables-devel < 1.4.2

%description -n	%{develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the static iptables library.


# ipq
%package -n	%{ipq_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ipq_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

%package -n	%{ipq_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ipq_libname} = %{version}-%{release}
Requires:	%{ipq_develname} = %{version}-%{release}
Provides:	iptables-ipq-devel = %{version}

%description -n	%{ipq_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

# iptc
%package -n	%{iptc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{iptc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IPTC library.

%package -n	%{iptc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{iptc_libname} = %{version}-%{release}
Requires:	%{iptc_develname} = %{version}-%{release}
Provides:	iptables-iptc-devel = %{version}

%description -n	%{iptc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IPTC library.

# ip4tc
%package -n	%{ip4tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip4tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP4TC library.

%package -n	%{ip4tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip4tc_libname} = %{version}-%{release}
Requires:	%{iptc_develname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip4tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IPTC library.

# ip6tc
%package -n	%{ip6tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip6tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP6TC library.

%package -n	%{ip6tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip6tc_libname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip6tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IP6TC library.

%prep

%setup -q

# (cg) NB the name "iptables.init" is important. See note in install below
cp %{SOURCE1} iptables.init
cp %{SOURCE2} ip6tables.init
cp %{SOURCE3} iptables.sample
cp %{SOURCE4} ip6tables.sample

# fix libdir
perl -pi -e "s|\@lib\@|%{_lib}|g" iptables.init

#%patch0 -p0 -b .libiptc

# extensions
#install -m0644 %{SOURCE100} extensions/ <- it needs ipt_IMQ.h and we don't have it anymore ?!
install -m0644 %{SOURCE101} extensions/
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
install -m0644 %{SOURCE102} extensions/
install -m0644 %{SOURCE103} extensions/

%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0

find . -type f | xargs perl -pi -e "s,/usr/local,%{_prefix},g"

# don't run /sbin/ldconfig
perl -pi -e "s|/sbin/ldconfig|/bin/true|g" Makefile*

%build
export LIBS="-ldl"

%serverbuild

autoreconf -fis

export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CXXFLAGS -fPIC"
export FFLAGS="$FFLAGS -fPIC"

%configure2_5x \
    --bindir=/sbin \
    --sbindir=/sbin \
    --enable-devel \
    --enable-libipq \
    --enable-ipv4 \
    --enable-ipv6 \
    --with-ksource=%{_prefix}/src/linux \
    --with-xtlibdir=/%{_lib}/iptables

make

## make more devel libs (debian)
#ar rcs libiptables.a iptables.o
#ar rcs libip6tables.a ip6tables.o

# hmm...
ar rcs libiptc/libiptc.a libiptc/.libs/libip4tc.o libiptc/.libs/libip6tc.o

%install
%makeinstall_std

# remove la file(s)
rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}%{_libdir}/*.la

# (oe) this in conjunction with the distro initscript will make it possible 	 
# to use development versions of the netfilter modules and with different 	 
# api:s. (according to blino) 	 
install -d %{buildroot}/%{_lib}/iptables.d 	 
mv %{buildroot}/%{_lib}/iptables %{buildroot}/%{_lib}/iptables.d/linux-2.6-main

# move the shared libs
mv %{buildroot}%{_libdir}/libxtables.so.%{major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libxtables.so.%{major} %{buildroot}%{_libdir}/libxtables.so

mv %{buildroot}%{_libdir}/libiptc.so.* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libiptc.so.0 %{buildroot}%{_libdir}/libiptc.so

mv %{buildroot}%{_libdir}/libip4tc.so.%{ip4tc_major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libip4tc.so.%{ip4tc_major} %{buildroot}%{_libdir}/libip4tc.so

mv %{buildroot}%{_libdir}/libip6tc.so.%{ip6tc_major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libip6tc.so.%{ip6tc_major} %{buildroot}%{_libdir}/libip6tc.so

# static development files
install -d %{buildroot}%{_libdir}
install -m0644 libiptc/libiptc.a %{buildroot}%{_libdir}/libiptc.a
#install -m0644 libiptables.a %{buildroot}%{_libdir}/
#install -m0644 libip6tables.a %{buildroot}%{_libdir}/

# header development files
install -d %{buildroot}%{_includedir}/{libipq,libiptc,libipulog}
install -m0644 include/libipq/*.h %{buildroot}%{_includedir}/libipq/
install -m0644 include/libiptc/*.h %{buildroot}%{_includedir}/libiptc/
install -m0644 include/libipulog/*.h %{buildroot}%{_includedir}/libipulog/

# iptables and netfilter development files
install -d %{buildroot}%{_includedir}/net/netfilter/
install -d %{buildroot}%{_includedir}/iptables
#install -m0644 include/net/netfilter/*.h %{buildroot}%{_includedir}/net/netfilter/
install -m0644 include/ip*tables.h %{buildroot}%{_includedir}/
install -m0644 include/iptables/internal.h %{buildroot}%{_includedir}/iptables


# (cg) NB the name "iptables.init" is important. The dracut usrmove convertfs
# module will avoid a post-merge conflict by renaming the files to match this
# naming convension. If this package is updated to change the names below,
# you should also take care to update dracut and the convertfs module accordingly.
install -d %{buildroot}%{script_path}
install -m0755 iptables.init %{buildroot}%{script_path}/
install -m0755 ip6tables.init %{buildroot}%{script_path}/

# (tmb) add compat symlinks for ip(6)tbles-multi
pushd %{buildroot}/sbin/
ln -snf xtables-multi iptables-multi
ln -snf xtables-multi ip6tables-multi
popd

# install systemd service files
install -d -m 755 %{buildroot}/lib/systemd/system
install -c -m 644 %{SOURCE5} %{buildroot}/lib/systemd/system/
sed -e 's;iptables;ip6tables;g' -e 's;IPv4;IPv6;g' < %{SOURCE5} > ip6tables.service
install -c -m 644 ip6tables.service %{buildroot}/lib/systemd/system/
sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/ip6tables.service
sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/iptables.service

%post
%_post_service iptables
%_post_service ip6tables
%{script_path}/iptables.init check

%preun
%_preun_service iptables
%_preun_service ip6tables

%triggerun -- iptables < 1.4.12.1
# Autostart
/bin/systemctl --no-reload enable iptables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
/sbin/chkconfig --del iptables >/dev/null 2>&1 || :
/bin/systemctl try-restart iptables.service >/dev/null 2>&1 || :

# Autostart
/bin/systemctl --no-reload enable ip6tables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
/sbin/chkconfig --del ip6tables >/dev/null 2>&1 || :
/bin/systemctl try-restart ip6tables.service >/dev/null 2>&1 || :

%files
%defattr(-,root,root,0755)
%doc INSTALL INCOMPATIBILITIES iptables.sample ip6tables.sample
%attr(0755,root,root) %{script_path}/ip*
/lib/systemd/system/iptables.service
/lib/systemd/system/ip6tables.service
/sbin/iptables
/sbin/iptables-multi
/sbin/iptables-restore
/sbin/iptables-save
/sbin/iptables-xml
/sbin/nfnl_osf
# ipv6
/sbin/ip6tables
/sbin/ip6tables-multi
/sbin/ip6tables-restore
/sbin/ip6tables-save
/sbin/xtables-multi
%dir /%{_lib}/iptables.d
%dir /%{_lib}/iptables.d/linux-2.6-main
/%{_lib}/iptables.d/linux-2.6-main/libipt_ah.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_CLUSTERIP.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_DNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ECN.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_icmp.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_IFWLOG.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_LOG.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_MASQUERADE.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_MIRROR.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_NETMAP.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_psd.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_realm.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_REDIRECT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_REJECT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_SAME.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_SNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ttl.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_TTL.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ULOG.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_unclean.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_AUDIT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_addrtype.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CHECKSUM.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CLASSIFY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cluster.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_comment.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connbytes.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connlimit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connmark.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CONNMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CONNSECMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_conntrack.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cpu.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_dccp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_devgroup.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_dscp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_DSCP.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_esp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ecn.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_hashlimit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_helper.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_HMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_IDLETIMER.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_iprange.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ipvs.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_LED.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_length.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_limit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_mac.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_mark.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_MARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_multiport.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_nfacct.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NFLOG.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NFQUEUE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NOTRACK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_osf.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_owner.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_physdev.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_pkttype.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_policy.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_quota.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_rateest.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_RATEEST.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_recent.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_rpfilter.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_sctp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SECMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_set.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SET.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_socket.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_standard.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_state.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_statistic.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_string.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tcpmss.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TCPMSS.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TCPOPTSTRIP.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tcp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TEE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_time.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tos.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TOS.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TPROXY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TRACE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_u32.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_udp.so
%{_mandir}/*/iptables*
%{_datadir}/xtables/pf.os
# ipv6
/%{_lib}/iptables.d/linux-2.6-main/libip6t_ah.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_dst.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_DNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_DNPT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_eui64.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_frag.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_hbh.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_hl.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_HL.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_icmp6.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_ipv6header.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_LOG.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_MASQUERADE.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_mh.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_NETMAP.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_REDIRECT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_REJECT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_rt.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_SNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_SNPT.so
%{_mandir}/*/ip6tables*

%files -n %{libname}
/%{_lib}/libxtables.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%dir %{_includedir}/libipq
%dir %{_includedir}/libipulog
%{_includedir}/libipq/*.h
%{_includedir}/libipulog/*.h
%{_includedir}/iptables/*.h
#%{_includedir}/net/netfilter/*.h
%{_libdir}/libxtables.so
%{_libdir}/pkgconfig/xtables.pc

%files -n %{ipq_libname}
/%{_libdir}/libipq.so.*

%files -n %{ipq_develname}
%{_includedir}/libipq/*.h
%{_libdir}/pkgconfig/libipq.pc
%dir %{_includedir}/libipq
%{_libdir}/libipq.so
%{_mandir}/man3/*ipq*

%files -n %{iptc_libname}
/%{_lib}/libiptc.so.*

%files -n %{iptc_develname}
%{_includedir}/libiptc/*.h
%dir %{_includedir}/libiptc
%{_libdir}/libiptc.so
%{_libdir}/libiptc.*a
%{_libdir}/pkgconfig/libiptc.pc

%files -n %{ip4tc_libname}
/%{_lib}/libip4tc.so.*

%files -n %{ip4tc_develname}
%{_libdir}/libip4tc.so
%{_libdir}/pkgconfig/libip4tc.pc

%files -n %{ip6tc_libname}
/%{_lib}/libip6tc.so.*

%files -n %{ip6tc_develname}
%{_libdir}/libip6tc.so
%{_libdir}/pkgconfig/libip6tc.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.17-5.mga3
+ Revision: 354467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.4.17-4.mga3
+ Revision: 342901
- fix check in post script: call init script directly

* Tue Jan 08 2013 oden <oden> 1.4.17-3.mga3
+ Revision: 342836
- P103: fix build the correct way

* Sun Jan 06 2013 tmb <tmb> 1.4.17-2.mga3
+ Revision: 340313
- fix iptables not working due to libexec change (mga #8616)

* Sun Jan 06 2013 tmb <tmb> 1.4.17-1.mga3
+ Revision: 339749
- update filelists
- BR kernel -devel-latest instead of -source-latest
- BR iptables-ip6tc-devel
- update to 1.4.17

* Wed Oct 31 2012 colin <colin> 1.4.16.3-1.mga3
+ Revision: 311689
- New version: 1.4.16.3
- Support reload in systemd service file (now available in systemd v195)

* Sat Jul 21 2012 colin <colin> 1.4.12.2-3.mga3
+ Revision: 273116
- Rename the init wrapper to avoid usrmove name clash + drop sysvinit script

* Sat Apr 28 2012 tmb <tmb> 1.4.12.2-2.mga2
+ Revision: 233755
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Jan 06 2012 tmb <tmb> 1.4.12.2-1.mga2
+ Revision: 192568
- fix build with 3.2 series headers
- update filelists
- update to 1.4.12.2
- drop defattr

  + dmorgan <dmorgan>
    - Do not use systemd-sysv-convert anymore

* Fri Dec 02 2011 blino <blino> 1.4.12.1-11.mga2
+ Revision: 175267
- IFWLOG: drop intrapositional negation check (was deprecated in 1.4.3, and symbol does not exist anymore)

* Thu Dec 01 2011 dmorgan <dmorgan> 1.4.12.1-10.mga2
+ Revision: 175014
- Install files in the old location too to allow to boot w/o systemd too

* Mon Nov 21 2011 dmorgan <dmorgan> 1.4.12.1-9.mga2
+ Revision: 170173
- Remove .la files

* Mon Nov 14 2011 tmb <tmb> 1.4.12.1-8.mga2
+ Revision: 167658
- dont check for /etc/sysconfig/ip(6)tables on start as it is not installed by default

* Sun Nov 13 2011 tmb <tmb> 1.4.12.1-7.mga2
+ Revision: 167066
- BR: kernel-source-latest
- ip(6)tables.service does not need to be executable
- ip6tables.init: dont check for obsolete kernel versions

* Sat Nov 12 2011 tmb <tmb> 1.4.12.1-6.mga2
+ Revision: 167008
- fix genearation of ip6tables.service

* Sun Oct 30 2011 blino <blino> 1.4.12.1-5.mga2
+ Revision: 159892
- do not explicitely require systemd, use the more generic sysvinit requires

* Sat Oct 29 2011 dmorgan <dmorgan> 1.4.12.1-4.mga2
+ Revision: 159672
- Rebuild to push in core media

* Tue Oct 25 2011 dmorgan <dmorgan> 1.4.12.1-3.mga2
+ Revision: 158055
- Fix bash script location

* Tue Oct 25 2011 dmorgan <dmorgan> 1.4.12.1-1.mga2
+ Revision: 158049
- New version 1.4.12.1
  Add systemd support

* Sun Jun 12 2011 ahmad <ahmad> 1.4.11.1-2.mga2
+ Revision: 105314
- Move the runtime libip{4,6}tc.so.* libraries to /%%{_lib}, so that iptables in
  /sbin can use them when /usr isn't mounted yet (mga#1404)

* Thu Jun 09 2011 tmb <tmb> 1.4.11.1-1.mga2
+ Revision: 102416
- update to 1.4.11.1 (full kernel 2.6.37-39 support)
- libmajor is now 6
- add compat symlinks for ip(6)tbles-multi
- update filelists

* Sat Jan 08 2011 blino <blino> 1.4.10-3.mga1
+ Revision: 692
- update comment

* Sat Jan 08 2011 blino <blino> 1.4.10-2.mga1
+ Revision: 598
- do not use manbo tag anymore
- remove old macros
- imported package iptables

